org.apache.tinkerpop.gremlin.groovy.plugin

## Class Artifact

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.plugin.Artifact

- Deprecated.
  As of release 3.2.4, replaced by `Artifact`

      @Deprecated
      public class Artifact
      extends Object

  A software artifact identified by its maven coordinates.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Artifact(String group, String artifact, String version)` Deprecated. Create a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `String` | `getArtifact()` Deprecated.
    `String` | `getGroup()` Deprecated.
    `String` | `getVersion()` Deprecated.
    `int` | `hashCode()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Artifact

          public Artifact(String group,
                          String artifact,
                          String version)

      Deprecated.
      Create a new instance.
      Parameters:
        `group` - the `groupId`
        `artifact` - the `artifactId`
        `version` - the `version`

  - ### Method Detail

    - #### getGroup

          public String getGroup()

      Deprecated.

    - #### getArtifact

          public String getArtifact()

      Deprecated.

    - #### getVersion

          public String getVersion()

      Deprecated.

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.